English: <input type="text" [(ngModel)]="dictionary.english">
Chinese: <input type="text" [(ngModel)]="dictionary.chinese">
<button (click)="save()">Save</button> <br>
Filter: <input type="text" [(ngModel)]="filter">

<hr>

<table id="customers">
  <tr>
    <th>English</th>
    <th>Chinese</th>
  </tr>
  <tr *ngFor="let d of dictionaries | filterByImpure: ['english', 'chinese']: filter">
    <td>{{ d.english }}</td>
    <td>{{ d.chinese }}</td>
  </tr>
</table>
